Bug 54525 - newalias - sigsegv
newalias - sigsegv
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: elm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-11 09:28 EDT by Alexander Kanevskiy
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-19 14:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
quick fix (479 bytes, patch)
2001-10-11 09:29 EDT, Alexander Kanevskiy
no flags Details | Diff

  None (edit)
Description Alexander Kanevskiy 2001-10-11 09:28:38 EDT
Description of Problem:

elm-2.5.6-1
Build Date: Thu Aug 23 20:16:20 2001
Build Host: stripples.devel.redhat.com

sigsegv on empty aliases.text

Version-Release number of selected component (if applicable):

How Reproducible:

[kad@sos kad]$ mkdir .elm
[kad@sos kad]$ cd .elm
[kad@sos .elm]$ touch aliases.text
[kad@sos .elm]$ newalias
Segmentation fault
[kad@sos .elm]$ newalias
Updating your personal alias file...processed 0 aliases.
[kad@sos .elm]$ newalias
Segmentation fault
[kad@sos .elm]$ newalias
Updating your personal alias file...processed 0 aliases.
[kad@sos .elm]$ newalias
Segmentation fault
[kad@sos .elm]$ newalias
Updating your personal alias file...processed 0 aliases.
[kad@sos .elm]$


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:
[kad@sos .elm]$ newalias
Updating your personal alias file...processed 0 aliases.
[kad@sos .elm]$ newalias
Updating your personal alias file...processed 0 aliases.
[kad@sos .elm]$ newalias
Updating your personal alias file...processed 0 aliases.
[kad@sos .elm]$


Additional Information:
fix in attachment
Comment 1 Alexander Kanevskiy 2001-10-11 09:29:28 EDT
Created attachment 33861 [details]
quick fix
Comment 2 Trond Eivind Glomsrxd 2001-10-21 18:28:43 EDT
Thanks - fixed in elm 2.5.6-2

Note You need to log in before you can comment on or make changes to this bug.